TlsTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class TlsTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.TlsTest

-     public class TlsTest
      extends DatabaseTestCase

  Test for SSL TLS.
  Version:
    $Id: TlsTest.java,v 1.1 2005-04-15 13:03:43 alin_sinpalean Exp $
  Author:
    Mike Hutchinson

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testTLSResume()` Test for problem resuming TLS session with SQL Server (bug [1102505] SSL TLS resume failure).

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TlsTest

          public TlsTest(java.lang.String name)

  - ### Method Detail

    - #### testTLSResume

          public void testTLSResume()
                             throws java.lang.Exception

      Test for problem resuming TLS session with SQL Server (bug [1102505] SSL TLS resume failure).
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013